//+------------------------------------------------------------------+
//|                                                    HA_TM_och.mq5 |
//|                                             Copyright 2010, AM2. |
//|                                              http://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright ""
#property link      "http://www.mql5.com"
#property version   "1.00"
#property tester_indicator "Heiken_Ashi.ex5"
#property tester_indicator "TrendMagic_V2.ex5"


#include <Expert\Money\MoneySizeOptimized.mqh>
#include <Trade\SymbolInfo.mqh>
#include <Trade\Trade.mqh>



//--- input parameters
input int                  m_magic_number        = 210670;
input ENUM_TIMEFRAMES      m_indicator_timeframe = PERIOD_M15; // Timeframe used for indicator calculation
input int                  m_trendmagic_CCI      = 50;         // TrendMagic CCI period
input int                  m_trendmagic_ATR      = 5;          // TrendMagic ATR period
input double               Lot                   = 0.5;        // Lots to trade
input ENUM_TIMEFRAMES      market_timeframe      = PERIOD_M15; // Timeframe used to enter in the market
input bool                 UseMoneyManagement    = true;       // Use MoneyManegement to calculate lotSize
input double               Risk                  = 2;          // Percent of balance risk in earch trade
input double               m_decrease            = 3;          // Decrease factor use by MM module
input int                  m_sl                  = 0;          // Stop Loss
input int                  m_tp                  = 0;          // Take Profit
input int                  m_trailing_stop_level = 0;          // Trailing Stop Level     
//--- global variables
CSymbolInfo          m_symbol;
CMoneySizeOptimized *m_money;                                  // Money Management Object/Module to optimize lot size

int      HA_Handle;                                            // Heiken Ashi handle
int      TM_Handle;                                            // TrendMagic  handle

double   HA_Open[];                                            // dynamic array for HA open buffer
double   HA_Close[];                                           // dynamic array for HA close buffer
double   TM_price[];                                           // dynamic array for TM price buffer
double   TM_trend[];                                           // dynamic array for TM trend buffer

MqlRates m_rates[];                                            // dynamic array for rates/prices
//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+
int OnInit()
  {
   
   return(0);
  }
//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {

  }
//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+
void OnTick()
  {
// We will use the static Old_Time variable to serve the bar time.
// At each OnTick execution we will check the current bar time with the saved one.
// If the bar time isn't equal to the saved time, it indicates that we have a new tick.

   
   int handle=iCustom(_Symbol,_Period,"TrendMagic_V2",50,5);
   double TM_Price[];
   ArraySetAsSeries(TM_Price,true);
   CopyBuffer(handle,0,D'2010.10.01 00:00:00',D'2010.10.01 04:00:00',TM_Price);
   for (int i=0;i<ArraySize(TM_Price)-1;i++)
     Print(" i = ", IntegerToString(i)," TM_Price = ", DoubleToString(TM_Price[i],Digits()));
    
   }
